{
  "schema_version": "1.4.0",
  "id": "GHSA-2635-v9v9-3f2h",
  "modified": "2022-05-02T03:22:34Z",
  "published": "2022-05-02T03:22:34Z",
  "aliases": [
    "CVE-2009-1194"
  ],
  "details": "Integer overflow in the pango_glyph_string_set_size function in pango/glyphstring.c in Pango before 1.24 allows context-dependent attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a long glyph string that triggers a heap-based buffer overflow, as demonstrated by a long document.location value in Firefox.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-1194"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2009:0476"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2009-1194"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.mozilla.org/show_bug.cgi?id=480134"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=496887"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/50397"
    },
    {
      "type": "WEB",
      "url": "https://launchpad.net/bugs/cve/2009-1194"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10137"
    },
    {
      "type": "WEB",
      "url": "http://github.com/bratsche/pango/commit/4de30e5500eaeb49f4bf0b7a07f718e149a2ed5e"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-07/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-07/msg00005.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-08/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/54279"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35018"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35021"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35027"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35038"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35685"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35914"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/36005"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/36145"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-66-264308-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1798"
    },
    {
      "type": "WEB",
      "url": "http://www.mozilla.org/security/announce/2009/mfsa2009-36.html"
    },
    {
      "type": "WEB",
      "url": "http://www.ocert.org/advisories/ocert-2009-001.html"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2009/05/07/1"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0476.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/503349/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/34870"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/35758"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1022196"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-773-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1269"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1972"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-05-11T15:30:00Z"
  }
}